
/*=============================================================================
   beest, an HTML viewer.
   Copyright (C) 2000 Zachary Thayer Smith

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

   The author is reachable by electronic mail at zeyr@excite.com.
=============================================================================*/

/*----------------------------------------------------------------------
 * Module name:    bdf.h
 * Author name:    Zach Smith
 * Create date:    1 Oct 2000
 * Last change:    26 Nov 2000
 * Purpose:        Prototypes for BDF font initialization routines.
 *----------------------------------------------------------------------
 * Changes:
 *--------------------------------------------------------------------*/


#ifndef _FONT
#include "font.h"
#endif

extern void getbdf_CourierRM8 (Font *f);
extern void getbdf_CourierRM10 (Font *f);
extern void getbdf_CourierRM12 (Font *f);
extern void getbdf_CourierRM14 (Font *f);
extern void getbdf_CourierRM18 (Font *f);
extern void getbdf_CourierRM24 (Font *f);
extern void getbdf_HelveticaRM8 (Font *f);
extern void getbdf_HelveticaRM10 (Font *f);
extern void getbdf_HelveticaRM12 (Font *f);
extern void getbdf_HelveticaRM14 (Font *f);
extern void getbdf_HelveticaRM18 (Font *f);
extern void getbdf_HelveticaRM24 (Font *f);
extern void getbdf_NewCenturySchoolbookRM8 (Font *f);
extern void getbdf_NewCenturySchoolbookRM10 (Font *f);
extern void getbdf_NewCenturySchoolbookRM12 (Font *f);
extern void getbdf_NewCenturySchoolbookRM14 (Font *f);
extern void getbdf_NewCenturySchoolbookRM18 (Font *f);
extern void getbdf_NewCenturySchoolbookRM24 (Font *f);
extern void getbdf_TimesRM8 (Font *f);
extern void getbdf_TimesRM10 (Font *f);
extern void getbdf_TimesRM12 (Font *f);
extern void getbdf_TimesRM14 (Font *f);
extern void getbdf_TimesRM18 (Font *f);
extern void getbdf_TimesRM24 (Font *f);

